package cn.iocoder.yudao.module.iot.framework.constant;

import cn.hutool.core.util.ObjUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {

    modbus("modbus", "modbus"),
    siemens("siemens", "siemens");
    private final String value;

    private final String name;

    public static boolean isSiemens(String value) {
        return ObjUtil.equal(siemens.value, value);
    }

    public static boolean isModbus(String value) {
        return ObjUtil.equal(modbus.value, value);
    }
}